org.apache.jmeter.report.core

## Class SampleWriter

- java.lang.Object
- - org.apache.jmeter.report.core.SampleWriter

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Direct Known Subclasses:
    AbstractSampleWriter

      public abstract class SampleWriter
      extends java.lang.Object
      implements java.io.Closeable

  Describes sample writer basic operations.
  Basically a sample writer is able to write samples to an unknown destination and close itself.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SampleWriter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract long` | `write(Sample sample)` Write a sample to the underlying destination

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### SampleWriter

          public SampleWriter()

  - ### Method Detail

    - #### write

          public abstract long write(Sample sample)

      Write a sample to the underlying destination
      Parameters:
        `sample` - The sample to be written (Must not be `null`)
      Returns:
        The number of samples written at this time to the underlying destination

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.